<form [formGroup]="postForm">
  <div class="w-full h-full flex mx-auto bg-white">
    <div class="container md:w-1/3 space-y-3 p-4 m-6 mx-5">
      <div
        class="p-6 w-full bg-gradient-to-r from-blue-500 via-blue-600 to-blue-700 rounded-lg border border-gray-200 shadow-md dark:bg-gray-800 dark:border-gray-700"
      >
        <div class="flex">
          <mat-icon class="text-white mt-1.5 mr-3 scale-125">settings</mat-icon>
          <p
            class="mb-2 text-3xl font-bold tracking-tight text-white dark:text-white"
          >
            Propriété de l'article
          </p>
        </div>
        <button
          type="button"
          class="mt-3 text-gray-900 bg-white border border-gray-300 focus:outline-none hover:bg-gray-100 focus:ring-4 focus:ring-gray-200 font-medium rounded-full text-sm px-3 py-1 mr-2 mb-2"
        >
          Aide
        </button>
      </div>
      <div class="shadow-md rounded-md bg-gray-50 p-5 space-y-5">
        <span
          class="bg-blue-100 mt-2 text-blue-800 text-xs font-medium inline-flex items-center px-2.5 py-0.5 rounded dark:bg-blue-200 dark:text-blue-800"
        >
          <svg
            class="mr-1 w-3 h-3"
            fill="currentColor"
            viewBox="0 0 20 20"
            xmlns="http://www.w3.org/2000/svg"
          >
            <path
              fill-rule="evenodd"
              d="M10 18a8 8 0 100-16 8 8 0 000 16zm1-12a1 1 0 10-2 0v4a1 1 0 00.293.707l2.828 2.829a1 1 0 101.415-1.415L11 9.586V6z"
              clip-rule="evenodd"
            ></path>
          </svg>
          2 minutes ago
        </span>

        <div class="mb-6">
          <label
            for="large-input"
            class="block mb-2 text-lg font-medium text-gray-900 dark:text-gray-300"
            >Titre de l'article</label
          >
          <input
            formControlName="postTitle"
            type="text"
            id="large-input"
            placeholder="Un super titre..."
            class="block w-full p-4 text-gray-900 border border-gray-300 rounded-lg bg-gray-50 sm:text-md focus:ring-blue-500 focus:border-blue-500 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500"
          />

          <label
            for="message"
            class="block mb-2 mt-4 text-lg font-medium text-gray-900 dark:text-gray-400"
            >Description</label
          >
          <textarea
            formControlName="postDescription"
            id="message"
            rows="4"
            class="block p-2.5 w-full text-sm text-gray-900 bg-gray-50 rounded-lg border border-gray-300 focus:ring-blue-500 focus:border-blue-500 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500"
            placeholder="Description..."
          ></textarea>

          <label
            for="countries"
            class="block mb-2 mt-4 text-lg font-medium text-gray-900 dark:text-gray-400"
            >Catégorie</label
          >
          <select
            formControlName="categorieId"
            id="countries"
            class="bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500"
          >
            <option
              type="number"
              *ngFor="let cate of categories"
              [value]="cate.id"
            >
              {{ cate.name }}
            </option>
          </select>

          <div>
            <label
              for="small-input"
              class="block mb-2 mt-4 text-lg font-medium text-gray-900 dark:text-gray-300"
              >Tags</label
            >
            <input
              (keyup.enter)="onEnter()"
              formControlName="tagName"
              type="text"
              id="small-input"
              class="block w-full p-2 text-gray-900 border border-gray-300 rounded-lg bg-gray-50 sm:text-xs focus:ring-blue-500 focus:border-blue-500 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500"
            />
            <div class="flex mt-3 flex-wrap">
              <span
                *ngFor="let tag of selectedTags"               
                class="bg-slate-500 mb-2 text-white text-sm font-medium mr-2 px-2.5 py-0.5 rounded dark:bg-green-200 dark:text-green-900"
              ><span (click)="deleteFromTags(tag)" class="font-extrabold mr-1" >x</span>
                {{tag.name}}</span
              >
   
            </div>
          </div>
          <button
            [disabled]="!postForm.valid"
            (click)="onClick()"
            type="button"
            class="text-white w-full mt-8 disabled:opacity-25 bg-blue-700 hover:bg-blue-800 focus:ring-4 focus:outline-none focus:ring-blue-300 font-medium rounded-lg text-base px-6 py-3.5 text-center dark:bg-blue-600 dark:hover:bg-blue-700 dark:focus:ring-blue-800"
          >
            Publier
          </button>
          <button type="button" class="text-gray-400 w-full mt-5">
            Sauvegarder
          </button>
        </div>
      </div>
    </div>
    <div class="container md:w-2/3 m-6 mt-10">
      <quill-editor
        formControlName="postContent"
        [modules]="modules"
        class="shadow"
      >
      </quill-editor>
    </div>
  </div>
</form>
